## ros-noetic-trajectory-tracker 0.12.0

=== debian/changelog ===
ros-noetic-trajectory-tracker (0.12.0-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.8-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 28 Dec 2022 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.7-1buster) buster; urgency=high

  * trajectory_tracker: fix prediction_offset of trajectory_tracker (#644 <https://github.com/at-wat/neonavigation/issues/644>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.6-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jul 2022 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.5-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 06 Jul 2022 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.4-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.3-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Dec 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.2-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.1-1buster) buster; urgency=high

  * trajectory_tracker: increase SwitchBackWithPathUpdate test timeout (#611 <https://github.com/at-wat/neonavigation/issues/611>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 29 Oct 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.0-1buster) buster; urgency=high

  * trajectory_tracker: add velocity tolerance parameters (#607 <https://github.com/at-wat/neonavigation/issues/607>)
  * Apply clang-format-11 with new setting (#605 <https://github.com/at-wat/neonavigation/issues/605>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Aug 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.11-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Jun 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.10-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.9-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 16 Mar 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.8-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.7-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 07 Mar 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.6-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 28 Jan 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.5-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 24 Dec 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.4-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.3-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 22 Oct 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.2-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.1-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 26 Aug 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.0-1buster) buster; urgency=high

  * trajectory_tracker: add a mode to apply the same control method during turning in place (#513 <https://github.com/at-wat/neonavigation/issues/513>)
  * trajectory_tracker: relax test tolerance on tf mode (#545 <https://github.com/at-wat/neonavigation/issues/545>)
  * trajectory_tracker: goal if both raw and predicted pose is in tolerance (#540 <https://github.com/at-wat/neonavigation/issues/540>)
  * trajectory_tracker: fix wrong tracking target just after new path is received (#537 <https://github.com/at-wat/neonavigation/issues/537>)
  * Increase initialization timeout in the tests (#536 <https://github.com/at-wat/neonavigation/issues/536>)
  * trajectory_tracker: add odometry timeout checking (#534 <https://github.com/at-wat/neonavigation/issues/534>)
  * trajectory_tracker: predict odometry by extrapolation (#529 <https://github.com/at-wat/neonavigation/issues/529>)
  * trajectory_tracker: add use_odom option (#523 <https://github.com/at-wat/neonavigation/issues/523>)
  * trajectory_tracker: make trajectory_tracker dynamic-reconfigurable (#521 <https://github.com/at-wat/neonavigation/issues/521>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 06 Aug 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.9.1-1buster) buster; urgency=high

  * trajectory_tracker: fix remained distance calculation on overshoot (#514 <https://github.com/at-wat/neonavigation/issues/514>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 16 Jul 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.9.0-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Jul 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.8.8-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 15 Jun 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.8.7-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 May 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.8.6-1buster) buster; urgency=high

  * Fix duplicated tf timestamp (#494 <https://github.com/at-wat/neonavigation/issues/494>)
  * Contributors: Atsushi Watanabe


