=== debian/changelog ===
ros-noetic-trajectory-tracker (0.15.0-1focal) focal; urgency=high

  * trajectory_tracker: make trajectory_tracker library (#713 <https://github.com/at-wat/neonavigation/issues/713>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 30 Aug 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.14.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 31 Jul 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.14.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 07 Jul 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.14.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 06 Jun 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.13.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 31 May 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.12.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 28 Feb 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.12.1-1focal) focal; urgency=high

  * trajectory_tracker: relax test conditions (#674 <https://github.com/at-wat/neonavigation/issues/674>)
  * Improve test logs on timeout (#673 <https://github.com/at-wat/neonavigation/issues/673>)
  * trajectory_tracker: throttle tf exception logs (#670 <https://github.com/at-wat/neonavigation/issues/670>)
  * trajectory_tracker: improve test stability (#667 <https://github.com/at-wat/neonavigation/issues/667>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 25 Feb 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.12.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.8-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 28 Dec 2022 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.7-1focal) focal; urgency=high

  * trajectory_tracker: fix prediction_offset of trajectory_tracker (#644 <https://github.com/at-wat/neonavigation/issues/644>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.6-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jul 2022 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.5-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 06 Jul 2022 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.4-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.3-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Dec 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.1-1focal) focal; urgency=high

  * trajectory_tracker: increase SwitchBackWithPathUpdate test timeout (#611 <https://github.com/at-wat/neonavigation/issues/611>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 29 Oct 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.0-1focal) focal; urgency=high

  * trajectory_tracker: add velocity tolerance parameters (#607 <https://github.com/at-wat/neonavigation/issues/607>)
  * Apply clang-format-11 with new setting (#605 <https://github.com/at-wat/neonavigation/issues/605>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Aug 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.11-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Jun 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.10-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.9-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 16 Mar 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.8-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.7-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 07 Mar 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.6-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 28 Jan 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.5-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 24 Dec 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.4-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.3-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 22 Oct 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 26 Aug 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.0-1focal) focal; urgency=high

  * trajectory_tracker: add a mode to apply the same control method during turning in place (#513 <https://github.com/at-wat/neonavigation/issues/513>)
  * trajectory_tracker: relax test tolerance on tf mode (#545 <https://github.com/at-wat/neonavigation/issues/545>)
  * trajectory_tracker: goal if both raw and predicted pose is in tolerance (#540 <https://github.com/at-wat/neonavigation/issues/540>)
  * trajectory_tracker: fix wrong tracking target just after new path is received (#537 <https://github.com/at-wat/neonavigation/issues/537>)
  * Increase initialization timeout in the tests (#536 <https://github.com/at-wat/neonavigation/issues/536>)

