=== debian/control ===
Source: ros-noetic-trajectory-tracker
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-interactive-markers, ros-noetic-nav-msgs, ros-noetic-neonavigation-common, ros-noetic-roscpp, ros-noetic-roslint <!nocheck>, ros-noetic-rostest <!nocheck>, ros-noetic-std-srvs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-trajectory-tracker-msgs (>= 0.8.0)
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-trajectory-tracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-interactive-markers, ros-noetic-nav-msgs, ros-noetic-neonavigation-common, ros-noetic-roscpp, ros-noetic-std-srvs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-trajectory-tracker-msgs (>= 0.8.0)
Description: Path following control package for wheeled mobile robot
